[arch-commits] Commit in ntop/repos (extra-i686 extra-i686/PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Sun Aug 17 22:46:09 EDT 2008


    Date: Sunday, August 17, 2008 @ 22:46:08
  Author: douglas
Revision: 9462

Merged revisions 9456-9461 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/ntop/trunk

........
  r9458 | eric | 2008-08-17 21:49:46 -0300 (Dom, 17 Ago 2008) | 2 lines
  
  upgpkg: ntop 3.3.7-2
      reverted changes to trunk PKGBUILD
........

Modified:
  ntop/repos/extra-i686/	(properties)
  ntop/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)


Property changes on: ntop/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /ntop/trunk:1-9455
   + /ntop/trunk:1-9461

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-18 00:57:54 UTC (rev 9461)
+++ extra-i686/PKGBUILD	2008-08-18 02:46:08 UTC (rev 9462)
@@ -3,29 +3,27 @@
 
 pkgname=ntop
 pkgver=3.3.7
-pkgrel=1
-pkgdesc="A network traffic probe that shows the network usage, similar to what the popular top Unix command does"
-arch=(i686 x86_64)
+pkgrel=2
+pkgdesc="A network traffic probe that shows the network usage"
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.ntop.org"
 depends=('libpcap>=0.9.8' 'gd' 'glib' 'libxml2' 'openssl' 'gdbm' 'rrdtool' 'pcre')
+options=('!libtool' '!makeflags')
+install=ntop.install
 source=(http://downloads.sourceforge.net/sourceforge/ntop/ntop-$pkgver.tar.gz
         ntop.confd ntop.rcd)
-options=(!libtool)
-
-md5sums=('4aa06c915a2ea4416f70381a94e3dcee'
-         'c8d3d9f85ac0393263399d764657cfcb'
+md5sums=('4aa06c915a2ea4416f70381a94e3dcee' 'b4ea63012f94c2988e767e78ac16a309'\
          '76acde24cc5f428ff862d7c0815feb14')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
-
   ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-      --disable-snmp
+      --disable-snmp || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install-recursive
-  install -d -m755 --owner=nobody --group=nobody $startdir/pkg/var/ntop
+  make DESTDIR=${pkgdir} install-recursive || return 1
+  install -d -m755 --owner=nobody --group=nobody ${pkgdir}/var/ntop || return 1
 
-  install -D -m755 $startdir/src/ntop.rcd $startdir/pkg/etc/rc.d/ntop 
-  install -D -m644 $startdir/src/ntop.confd $startdir/pkg/etc/conf.d/ntop 
+  install -D -m755 ${srcdir}/ntop.rcd ${pkgdir}/etc/rc.d/ntop  || return 1
+  install -D -m644 ${srcdir}/ntop.confd ${pkgdir}/etc/conf.d/ntop || return 1
 }




More information about the arch-commits mailing list